# GCC_PasswordChallengeRequestResponse Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_passwordInTheClear, e_challengeRequestResponse }

## Public Member Functions

| GCC_PasswordChallengeRequestResponse (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_PasswordSelector & ()
| operator const GCC_PasswordSelector & () const
| operator GCC_PasswordChallengeRequestResponse_challengeRequestResponse & ()
| operator const GCC_PasswordChallengeRequestResponse_challengeRequestResponse & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_PasswordChallengeRequestResponse::Choices

Enumerator:

  e_passwordInTheClear |
  e_challengeRequestResponse |

## Constructor & Destructor Documentation

GCC_PasswordChallengeRequestResponse::GCC_PasswordChallengeRequestResponse | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_PasswordChallengeRequestResponse::operator GCC_PasswordSelector & | ( |  | ) |

GCC_PasswordChallengeRequestResponse::operator const GCC_PasswordSelector & | ( |  | ) | const

GCC_PasswordChallengeRequestResponse::operator GCC_PasswordChallengeRequestResponse_challengeRequestResponse & | ( |  | ) |

GCC_PasswordChallengeRequestResponse::operator const GCC_PasswordChallengeRequestResponse_challengeRequestResponse & | ( |  | ) | const

PBoolean GCC_PasswordChallengeRequestResponse::CreateObject | ( |  | ) |

PObject* GCC_PasswordChallengeRequestResponse::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h